@use './styles/progress-step.variables' as *;
@use './styles/progress-step.variations' as variations;

:host {
  @include digi-progress-step--variables;

  .digi-progress-step {
    $base: &;
    --INDICATOR--LINE--COLOR: var(--digi--color--border--primary);

    font-family: var(--digi--global--typography--font-family--default);
    display: flex;
    gap: var(--digi--padding--medium);
    flex-direction: row;

    &--primary {
      @include variations.primary;
    }

    &--secondary {
      @include variations.secondary;
    }

    &--done {
      --INDICATOR--LINE--COLOR: var(--INDICATOR--CIRCLE--COLOR);
      &#{$base}__indicator {
        &--circle {
          background-color: var(--INDICATOR--CIRCLE--COLOR);
        }
      }
    }
    &--current {
      &#{$base}__indicator {
        &--circle {
          background-color: var(--INDICATOR--CIRCLE--COLOR);
          box-shadow: inset 0 0 0 2px var(--INDICATOR--CIRCLE--COLOR),
            inset 0 0 0 4px white;
        }
      }
    }
    &--upcoming {
      --INDICATOR--CIRCLE--COLOR: var(--INDICATOR--LINE--COLOR);
      &#{$base}__indicator {
      }
    }

    &__indicator {
      display: flex;
      align-items: center;
      flex-basis: 26px;
      flex-shrink: 0;
      flex-direction: column;
      transform: translateY(2px);
      margin-left: 2px;

      &--circle {
        height: 26px;
        width: 100%;
        border-radius: 13px;
        display: block;
        flex-shrink: 0;
        box-shadow: inset 0 0 0 2px var(--INDICATOR--CIRCLE--COLOR);
      }

      &--line {
        width: 2px;
        flex-grow: 1;
        display: block;
        background-color: var(--INDICATOR--LINE--COLOR);
      }
    }

    &__content {
      max-width: var(--digi--paragraph-width--medium);
      &--heading {
        font-weight: var(--digi--progress-step--heading--font-weight);
        font-size: var(--digi--progress-step--heading--font-size);
        margin: 0;
        margin-bottom: var(--digi--padding--smaller);
      }
      padding-bottom: var(--digi--padding--largest);
    }

    &--last {
      &#{$base}__indicator {
        &--line {
          display: none;
        }
      }
    }
  }
}
